Subject: Re: [PATCH v6] t2000: consolidate second scenario into a single test block

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 May 2026 15:15:40 +0900

Zakariyah Ali <[email-masked]> writes:

> The second test scenario in t2000 consists of several fragmented
> test_expect_success blocks that handle data setup, tree writes,
> execution of git-checkout-index, and final state validation.
>
> Consolidate these nine separate blocks into a single self-contained
> test block. This follows the modern Git testing standard where setup,
> execution, and validation of a single logical scenario are kept
> together.
>
> As a result of this consolidation, the show_files() helper and its
> associated test_debug calls are no longer used and have been removed.
> This also removes a dependency on the non-portable 'find -ls' command.

The patch, at first glance, looked quite messy but it turns out that
it is mostly just a lot of removals of (1) early test closure
followed by the start of the next test or (2) test_debug calls in
between.  The only thing that was slightly outside that pattern was
the computation of tree3, whose result was not even used for
test_debug in the original.

Will mark the topic for 'next'.  Thanks.